<template>
  <div>
    <input type="text" v-model="message" />
  </div>
</template>

<script>
import { mapActions } from "vuex";

// @vuese
// This component updates a greeting
export default {
  name: "greeting-update",
  props: {
    // The greeting to be updated
    greeting: Object,
  },
  methods: {
    ...mapActions("greetings", ["updateGreeting"]),
  },
  computed: {
    message: {
      get() {
        return this.greeting["attributes"]["message"];
      },
      set(newMessage) {
        this.updateGreeting({
          updatedGreeting: this.greeting,
          newMessage: newMessage,
        });
      },
    },
  },
};
</script>
